| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Held Server

Held Server Definitions and Methods. More...

## Classes
struct | unsp__CreateHeldServerRequest
| Create Held Server request. More...
struct | unsp__CreateHeldServerResult
| Create Held Server result. More...
struct | unsp__ModifyHeldServerRequest
| Modify Held Server request. More...
struct | unsp__ModifyHeldServerResult
| Modify Held Server result. More...
struct | unsp__RemoveHeldServerRequest
| Delete Held Server request. More...
struct | unsp__RemoveHeldServerResult
| Delete a Held Server entry. More...
struct | unsp__QueryHeldServerRequest
| Query Held Server request. More...
struct | unsp__HeldTrunkList
| List of Trunk entries. More...
struct | unsp__HeldServerDataEntry
| Held Server data entry that holds the actual Held Server data. More...
struct | unsp__HeldServerList
| List of Held Server entries. More...
struct | unsp__QueryHeldServerResult
| Query Held Server result. More...
struct | unsp__CheckHeldServerStatusRequest
| Check Held Server Operational Status request. More...
struct | unsp__CheckHeldServerStatusResult
| Check Help Server Operational Status result. More...

## Enumerations
enum | unsp__HeldProtocol { HeldProtocolUndefined = -1, HeldProtocolHttps = 0, HeldProtocolHttp = 1 }
| The type of protocol for a Held Server. More...
enum | unsp__HeldServerSortType { HeldServerSortTypeNone, HeldServerSortTypeName }
| Allows sorting by Held Server name. More...
enum | unsp__HeldServerStatus { HeldServerStatusNormal = 0, HeldServerStatusCommunicationLost = 1, HeldServerStatusInaccessible = 2, HeldServerStatusPending = 3 }
| The type of Held Server Operational Status. More...

## Functions
int | unsp__CreateHeldServer (struct unsp__CreateHeldServerRequest CreateHeldServerRequest, struct unsp__CreateHeldServerResult *CreateHeldServerResult)
| Creates a Held Server. More...
int | unsp__ModifyHeldServer (struct unsp__ModifyHeldServerRequest ModifyHeldServerRequest, struct unsp__ModifyHeldServerResult *ModifyHeldServerResult)
| Modifies a Held Server. More...
int | unsp__RemoveHeldServer (struct unsp__RemoveHeldServerRequest RemoveHeldServerRequest, struct unsp__RemoveHeldServerResult *RemoveHeldServerResult)
| Deletes a Held Server. More...
int | unsp__QueryHeldServer (struct unsp__QueryHeldServerRequest QueryHeldServerRequest, struct unsp__QueryHeldServerResult *QueryHeldServerResult)
| Queries a list of Held Servers. More...
int | unsp__CheckHeldServerStatus (struct unsp__CheckHeldServerStatusRequest CheckHeldServerStatusRequest, struct unsp__CheckHeldServerStatusResult *CheckHeldServerStatusResult)
| Checks a Held Server Operational Status. More...

## Detailed Description

Held Server Definitions and Methods.

## Enumeration Type Documentation

## ◆ unsp__HeldProtocol

enum unsp__HeldProtocol

The type of protocol for a Held Server.

Enumerator
HeldProtocolUndefined | Undefined protocol.
HeldProtocolHttps | HTTPS protocol - default.
HeldProtocolHttp | HTTP protocol.

## ◆ unsp__HeldServerSortType

enum unsp__HeldServerSortType

Allows sorting by Held Server name.

Enumerator
HeldServerSortTypeName | No sorting.

## ◆ unsp__HeldServerStatus

enum unsp__HeldServerStatus

The type of Held Server Operational Status.

Enumerator
HeldServerStatusNormal | Normal.
HeldServerStatusCommunicationLost | Communication Lost.
HeldServerStatusInaccessible | Inaccessible.
HeldServerStatusPending | Pending.

## Function Documentation

## ◆ unsp__CheckHeldServerStatus()

unsp__CheckHeldServerStatus | ( | struct unsp__CheckHeldServerStatusRequest | CheckHeldServerStatusRequest,
|  | struct unsp__CheckHeldServerStatusResult * | CheckHeldServerStatusResult
| ) |  |

Checks a Held Server Operational Status.

Parameters

  CheckHeldServerStatusRequest | API request
  CheckHeldServerStatusResult | API result

## ◆ unsp__CreateHeldServer()

unsp__CreateHeldServer | ( | struct unsp__CreateHeldServerRequest | CreateHeldServerRequest,
|  | struct unsp__CreateHeldServerResult * | CreateHeldServerResult
| ) |  |

Creates a Held Server.

Allows the provisioning of Held Servers. The maximum number of Held server allowed in the system is 6.

Parameters

  CreateHeldServerRequest | API request
  CreateHeldServerResult | API result MP2 command: CHELDSERVER [Attributes]

## ◆ unsp__ModifyHeldServer()

unsp__ModifyHeldServer | ( | struct unsp__ModifyHeldServerRequest | ModifyHeldServerRequest,
|  | struct unsp__ModifyHeldServerResult * | ModifyHeldServerResult
| ) |  |

Modifies a Held Server.

All fields are modifiable apart from Held Server Name which is used to identify the entry to be modified
MP2 command: MHELDSERVER [Attributes]

Parameters

  ModifyHeldServerRequest | API request
  ModifyHeldServerResult | API result

## ◆ unsp__QueryHeldServer()

unsp__QueryHeldServer | ( | struct unsp__QueryHeldServerRequest | QueryHeldServerRequest,
|  | struct unsp__QueryHeldServerResult * | QueryHeldServerResult
| ) |  |

Queries a list of Held Servers.

Parameters

  QueryHeldServerRequest | API request
  QueryHeldServerResult | API result

## ◆ unsp__RemoveHeldServer()

unsp__RemoveHeldServer | ( | struct unsp__RemoveHeldServerRequest | RemoveHeldServerRequest,
|  | struct unsp__RemoveHeldServerResult * | RemoveHeldServerResult
| ) |  |

Deletes a Held Server.

Parameters

  RemoveHeldServerRequest | API request
  RemoveHeldServerResult | API result MP2 command: RHELDSERVER [Attributes]